<?php

namespace Litecms\Leasing\Providers;

use Litepie\Foundation\Support\Providers\ActionServiceProvider as ServiceProvider;

class ActionServiceProvider extends ServiceProvider
{
    /**
     * Indicates if loading of the provider is deferred.
     *
     * @var bool
     */
    protected $defer = true;

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function actions()
    {
        return [
                    \Litecms\Leasing\Models\Lease::class
                 => config('litecms.leasing.lease.actions')
            ];
    }

}
