<?php

// Routes for leasing.

// Guard routes for lease
Route::prefix('{guard}/leasing')->group(function () {

    Route::get('lease/report/{report}', 'LeaseReportController');
    Route::patch('lease/actions/{action}', 'LeaseActionsController');
    Route::patch('lease/action/{lease}/{action}', 'LeaseActionController');
    Route::patch('lease/workflow/{lease}/{transition}', 'LeaseWorkflowController');
    Route::resource('lease', 'LeaseResourceController');
});



// Public routes for leasing
Route::get('leasings/', 'LeasingPublicController@index');
Route::get('leasing/{slug?}', 'LeasingPublicController@show');
