<?php

// Web routes  for leasing.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for lease

Route::prefix('{guard}/lease')->group(function () {

    Route::get('/workflow/{lease}/{user}', 'LeaseWorkflowController@get')
        ->name('litecms.leasing.workflow');
    Route::post('/workflow/{lease}/{user}', 'LeaseWorkflowController@post');

    Route::get('/action/{lease}/{user}', 'LeaseActionController@get')
        ->name('litecms.leasing.action');
    Route::post('/action/{lease}/{user}', 'LeaseActionController@post');

});

