<?php

namespace Litecms\Leasing\Actions;

use Illuminate\Http\Request;
use Litecms\Leasing\Models\Lease;
use Litepie\Actions\Concerns\AsAction;
use Illuminate\Support\Str;

class LeaseReport
{
    use AsAction;

    private $model;

    public function handle(Request $request, string $report)
    {
        $this->model = app(Lease::class);
        $function = Str::camel($report);
        return $this->$function();
    }
    
    public function sample(Request $request)
    {
        return $request;
    }

}
