<?php

namespace Litecms\Leasing\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Litecms\Leasing\Models\Lease;

class LeaseAction
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public function __construct(
        public string $action,
        public Lease $lease,
        public array $request = [],
        public string $when = 'after'
    ) {}
}
